import { ChangeDetectionStrategy, Component } from '@angular/core';
import { NgbDatepickerReplyYearsViewNOA11Y } from '@isp/xdce-widget';

@Component({
  selector: '[ngbFidDatepickerReplyYearsView]',
  changeDetection: ChangeDetectionStrategy.OnPush,
  host: {
    'class': 'btn-secondary-years',
    '[class.bg-primary]': 'selected',
    '[class.text-white]': 'selected',
    '[class.text-muted]': 'isMuted()',
    '[class.outside]': 'isMuted()',
    '[class.active]': 'focused',
    '[class.focused]': 'yearFocusVisible',
    '[class.is-current]':'isCurrent',
    '[attr.tabindex]':"focused && yearFocusVisible ? 0 : -1"
  },
  template: '<ng-container></ng-container>',
})
export class NgbFidDatepickerReplyYearsViewNOA11Y extends NgbDatepickerReplyYearsViewNOA11Y {

}