import { ChangeDetectionStrategy, Component } from "@angular/core";
import { NgbDatepickerNavigation } from "@isp/xdce-widget";


@Component({
    selector: 'ngb-fid-datepicker-navigation',
    changeDetection: ChangeDetectionStrategy.OnPush,
    host: { 'class': 'd-flex justify-content-between', '[class.collapsed]': '!showSelect' },
    template: '<ng-container></ng-container>',
})
export class NgbFidDatepickerNavigation extends NgbDatepickerNavigation {

}