import { ChangeDetectionStrategy, Component } from '@angular/core';
import { NgbDatepickerReplyMonthView } from '@isp/xdce-widget';


@Component({
  selector: '[ngbFidDatepickerReplyMonthView]',
  changeDetection: ChangeDetectionStrategy.OnPush,
  host: {
    'class': 'btn-secondary-month',
    '[class.bg-primary]': 'selected',
    '[class.text-white]': 'selected',
    '[class.text-muted]': 'isMuted()',
    '[class.outside]': 'isMuted()',
    '[class.focused]': 'mounthFocusVisible',
    '[class.active]': 'focused',
    '[class.is-current]': 'isCurrent',
    '[attr.tabindex]':"focused && mounthFocusVisible ? 0 : -1" 
  },
  template: '<ng-container></ng-container>'
})
export class NgbFidDatepickerReplyMonthView extends NgbDatepickerReplyMonthView {
}